import { EcPublisher } from "./EcPublisher";
import { Payload } from "./model/Payload";

const ecPuliblisher = new EcPublisher();
var num: number = 5;
var i: number;
var factorial = 1;
for (i = num; i >= 1; i--) {
    let payload: Payload = {};
    payload.name = "xxx";
    payload.age = 12;
    payload.enable = true;
    payload.sex = 1;
    payload.roleIdList = ["001", "002"];
    console.log(JSON.stringify(payload));
    ecPuliblisher.publishMessage(payload, "01");
}

